Bug 65985 - gtk2 rpmlint errors
Summary: gtk2 rpmlint errors
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk2-engines   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-06-04 18:57 UTC by Jay Turner
Modified: 2015-01-07 23:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-18 00:57:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2002-06-04 18:57:56 UTC
Description of Problem:
When run against Milan-re0604.nightly tree:

E: gtk2 binary-or-shlib-defines-rpath /usr/bin/gtk-demo
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath /usr/bin/gtk-query-immodules-2.0
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs', '/usr/lib']
E: gtk2 binary-or-shlib-defines-rpath /usr/bin/testgtk
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath /usr/bin/testtext
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-am-et.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-cyrillic-translit.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-hangul.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-inuktitut.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath /usr/lib/gtk-2.0/2.0.0/immodules/im-ipa.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-thai-broken.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-ti-er.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-ti-et.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/immodules/im-viqr.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']
E: gtk2 binary-or-shlib-defines-rpath /usr/lib/gtk-2.0/2.0.0/immodules/im-xim.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gtk/.libs']

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Jay Turner 2002-06-04 18:58:46 UTC
Oops, missed some:

E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-bmp.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-gif.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-ico.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-jpeg.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-png.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-pnm.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-ras.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-tga.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-tiff.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-wbmp.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-xbm.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath
/usr/lib/gtk-2.0/2.0.0/loaders/libpixbufloader-xpm.so
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath /usr/lib/libgdk-x11-2.0.so.0.0.2
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']
E: gtk2 binary-or-shlib-defines-rpath /usr/lib/libgtk-x11-2.0.so.0.0.2
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs',
'/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk/.libs']
E: gtk2-devel binary-or-shlib-defines-rpath /usr/bin/gdk-pixbuf-csource
['/usr/src/build/105734-i386/BUILD/gtk+-2.0.2/gdk-pixbuf/.libs']

Comment 2 Owen Taylor 2002-08-08 23:11:04 UTC
Should be fixed in 2.0.6-1

Comment 3 Jay Turner 2002-08-14 13:55:04 UTC
I'm still getting the following with gtk2-2.0.6-2.

E: gtk2 binary-or-shlib-defines-rpath /usr/bin/gtk-query-immodules-2.0 ['/usr/lib']
E: gtk2-devel only-non-binary-in-usr-lib
E: gtk2-engines zero-length /usr/share/themes/Redmond95/ICON.png
E: gtk2-engines zero-length /usr/share/themes/Metal/ICON.png

Comment 4 Owen Taylor 2003-01-14 22:47:53 UTC
Only one that looks still relevant here are the gtk2-engines ones.

Comment 5 Owen Taylor 2003-01-14 23:02:22 UTC
Marking various no-need-to-be-private bugs public.

Comment 6 Owen Taylor 2003-01-14 23:03:47 UTC
Marking various no-need-to-be-private bugs public.

Comment 7 Owen Taylor 2003-01-18 00:57:01 UTC
Fixed in 2.2.0-1


Note You need to log in before you can comment on or make changes to this bug.